# Copyright 2011,2014-2015 Gabriele Sales <gabriele.sales@unipd.it>
#
#
# This file is part of graphite.
#
# graphite is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License
# version 3 as published by the Free Software Foundation.
#
# graphite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with graphite. If not, see <http://www.gnu.org/licenses/>.


edgeTypes <- c("Binding",
               "Control(In: ACTIVATION of BiochemicalReaction)",
               "Control(In: ACTIVATION of ComplexAssembly)",
               "Control(In: ACTIVATION of Degradation)",
               "Control(In: ACTIVATION of Transport)",
               "Control(indirect)",
               "Control(In: INHIBITION-COMPETITIVE of BiochemicalReaction)",
               "Control(In: INHIBITION of BiochemicalReaction)",
               "Control(In: INHIBITION of ComplexAssembly)",
               "Control(In: INHIBITION of Transport)",
               "Control(Out: ACTIVATION of ACTIVATION)",
               "Control(Out: ACTIVATION of BiochemicalReaction)",
               "Control(Out: ACTIVATION of ComplexAssembly)",
               "Control(Out: ACTIVATION of TemplateReaction)",
               "Control(Out: ACTIVATION of Transport)",
               "Control(Out: INHIBITION-COMPETITIVE of BiochemicalReaction)",
               "Control(Out: INHIBITION of ACTIVATION)",
               "Control(Out: INHIBITION of BiochemicalReaction)",
               "Control(Out: INHIBITION of ComplexAssembly)",
               "Control(Out: INHIBITION of TemplateReaction)",
               "Control(Out: INHIBITION of Transport)",
               "Process",
               "Process(activation)",
               "Process(binding/association)",
               "Process(BiochemicalReaction)",
               "Process(dephosphorylation)",
               "Process(dissociation)",
               "Process(expression)",
               "Process(glycosylation)",
               "Process(indirect)",
               "Process(indirect effect)",
               "Process(inhibition)",
               "Process(methylation)",
               "Process(missing)",
               "Process(missing interaction)",
               "Process(phosphorylation)",
               "Process(repression)",
               "Process(state change)",
               "Process(ubiquitination)")

edgeArrows <- c("No Arrow",
                "Arrow",
                "Arrow",
                "Arrow",
                "Arrow",
                "Arrow",
                "T",
                "T",
                "T",
                "T",
                "Arrow",
                "Arrow",
                "Arrow",
                "Arrow",
                "Arrow",
                "T",
                "T",
                "T",
                "T",
                "T",
                "T",
                "Arrow",
                "Arrow",
                "No Arrow",
                "Arrow",
                "Arrow",
                "No Arrow",
                "Arrow",
                "Arrow",
                "Arrow",
                "No Arrow",
                "T",
                "Arrow",
                "No Arrow",
                "No Arrow",
                "Arrow",
                "T",
                "No Arrow",
                "Arrow")

spiaAttributes <- c("activation",
                    "compound",
                    "binding/association",
                    "expression",
                    "inhibition",
                    "activation_phosphorylation",
                    "phosphorylation",
                    "inhibition_phosphorylation",
                    "inhibition_dephosphorylation",
                    "dissociation",
                    "dephosphorylation",
                    "activation_dephosphorylation",
                    "state change",
                    "activation_indirect effect",
                    "inhibition_ubiquination",
                    "ubiquination",
                    "expression_indirect effect",
                    "inhibition_indirect effect",
                    "repression",
                    "dissociation_phosphorylation",
                    "indirect effect_phosphorylation",
                    "activation_binding/association",
                    "indirect effect",
                    "activation_compound",
                    "activation_ubiquination")

spiaConv <- matrix(ncol=2, byrow=TRUE,
                   c("Binding", "binding/association",
                     "Control(In: ACTIVATION of BiochemicalReaction)", "activation",
                     "Control(In: ACTIVATION of ComplexAssembly)", "activation",
                     "Control(In: ACTIVATION of Degradation)", "activation",
                     "Control(In: ACTIVATION of Transport)", "activation",
                     "Control(indirect)", "indirect effect",
                     "Control(In: INHIBITION-COMPETITIVE of BiochemicalReaction)", "inhibition",
                     "Control(In: INHIBITION of BiochemicalReaction)", "inhibition",
                     "Control(In: INHIBITION of ComplexAssembly)", "inhibition",
                     "Control(In: INHIBITION of Transport)", "inhibition",
                     "Control(Out: ACTIVATION of ACTIVATION)", "activation",
                     "Control(Out: ACTIVATION of BiochemicalReaction)", "activation",
                     "Control(Out: ACTIVATION of ComplexAssembly)", "activation",
                     "Control(Out: ACTIVATION of TemplateReaction)", "activation",
                     "Control(Out: ACTIVATION of Transport)", "activation",
                     "Control(Out: INHIBITION-COMPETITIVE of BiochemicalReaction)", "inhibition",
                     "Control(Out: INHIBITION of ACTIVATION)", "inhibition",
                     "Control(Out: INHIBITION of BiochemicalReaction)", "inhibition",
                     "Control(Out: INHIBITION of ComplexAssembly)", "inhibition",
                     "Control(Out: INHIBITION of TemplateReaction)", "inhibition",
                     "Control(Out: INHIBITION of Transport)", "inhibition",
                     "Process", "activation",
                     "Process(activation)", "activation",
                     "Process(binding/association)", "binding/association",
                     "Process(BiochemicalReaction)", "activation",
                     "Process(dephosphorylation)", "dephosphorylation",
                     "Process(dissociation)", "dissociation",
                     "Process(expression)", "expression",
                     "Process(glycosylation)", "glycosylation",
                     "Process(indirect)", "indirect effect",
                     "Process(indirect effect)", "indirect effect",
                     "Process(inhibition)", "inhibition",
                     "Process(methylation)", "methylation",
                     "Process(missing)", "indirect effect",
                     "Process(missing interaction)", "indirect effect",
                     "Process(phosphorylation)", "phosphorylation",
                     "Process(repression)", "inhibition",
                     "Process(state change)", "indirect effect",
                     "Process(ubiquitination)", "ubiquitination"))
colnames(spiaConv) <- c("type", "spiaType")
